Search Unity

  1. Unity 2018.3 is now released.
    Dismiss Notice
  2. The Unity Pro & Visual Studio Professional Bundle gives you the tools you need to develop faster & collaborate more efficiently. Learn more.
    Dismiss Notice
  3. We've updated our Terms of Service. Please read our blog post from Unity CTO and Co-Founder Joachim Ante here
    Dismiss Notice
  4. Want to provide direct feedback to the Unity team? Join the Unity Advisory Panel.
    Dismiss Notice
  5. Improve your Unity skills with a certified instructor in a private, interactive classroom. Watch the overview now.
    Dismiss Notice

package manager hangs and does not load packages

Discussion in 'Package Manager' started by alexrau, Jan 5, 2019.

  1. alexrau

    alexrau

    Joined:
    Mar 1, 2015
    Posts:
    6
    On 2018.3f02 when I attempt to bring up the package manager it hangs and does not present any options either installed in my project or available to add. Any suggestions on workround to get the Lightweight render pipeline?
     
  2. pedro_unity

    pedro_unity

    Unity Technologies

    Joined:
    Jan 16, 2017
    Posts:
    146
    Hello @alexrau,

    That's not at all a good behaviour, please accept my apologies for that poor experience.

    Just to make sure that I understand correctly what the problem might be, would you kindly answer a few questions?
    • You are able to start Unity.
    • When you click on the "Window" tab and select "Package Manager" what happens exactly?
      • What freezes? Unity? Package Manager? What do you see?
      • What are the logs saying? Can you attach them?
    • Is this a new project or an existing one?
    • If it is a new project, does clicking "Reset Packages to defaults" (under the Help tab) work?
    As for this part, you can try adding the following directly to the project manifest:
    • "com.unity.render-pipeline.lightweight":"3.0.0-preview". This is JSON so don't forget a comma before and after if there are preceding or following items in that list. It should look vaguely like this:
    Code (JavaScript):
    1. {
    2. "dependencies": {
    3. "com.unity.ads": "2.0.8",
    4. "com.unity.analytics": "2.0.16",
    5. "com.unity.package-manager-ui": "1.9.11",
    6. "com.unity.purchasing": "2.0.3",
    7. "com.unity.render-pipelines.lightweight": "3.0.0-preview",
    8. "com.unity.textmeshpro": "1.2.4",
    9. "com.unity.modules.ai": "1.0.0",
    10. "com.unity.modules.animation": "1.0.0",
    11. "com.unity.modules.assetbundle": "1.0.0",
    12. "com.unity.modules.audio": "1.0.0",
    13. "com.unity.modules.cloth": "1.0.0",
    14. "com.unity.modules.director": "1.0.0",
    15. "com.unity.modules.imageconversion": "1.0.0",
    16. "com.unity.modules.imgui": "1.0.0",
    17. "com.unity.modules.jsonserialize": "1.0.0",
    18. "com.unity.modules.particlesystem": "1.0.0",
    19. "com.unity.modules.physics": "1.0.0",
    20. "com.unity.modules.physics2d": "1.0.0",
    21. "com.unity.modules.screencapture": "1.0.0",
    22. "com.unity.modules.terrain": "1.0.0",
    23. "com.unity.modules.terrainphysics": "1.0.0",
    24. "com.unity.modules.tilemap": "1.0.0",
    25. "com.unity.modules.ui": "1.0.0",
    26. "com.unity.modules.uielements": "1.0.0",
    27. "com.unity.modules.umbra": "1.0.0",
    28. "com.unity.modules.unityanalytics": "1.0.0",
    29. "com.unity.modules.unitywebrequest": "1.0.0",
    30. "com.unity.modules.unitywebrequestassetbundle": "1.0.0",
    31. "com.unity.modules.unitywebrequestaudio": "1.0.0",
    32. "com.unity.modules.unitywebrequesttexture": "1.0.0",
    33. "com.unity.modules.unitywebrequestwww": "1.0.0",
    34. "com.unity.modules.vehicles": "1.0.0",
    35. "com.unity.modules.video": "1.0.0",
    36. "com.unity.modules.vr": "1.0.0",
    37. "com.unity.modules.wind": "1.0.0",
    38. "com.unity.modules.xr": "1.0.0"
    39. }
    40. }
    Thanks for your time, let me know if you have questions.

    Cheers,
    Pedro
    Unity STE
     
  3. alexrau

    alexrau

    Joined:
    Mar 1, 2015
    Posts:
    6
    I rebuilt the project from scratch so I no long have the project where I was having this.
    Really the issue was that the package manager would not load and since I needed to add the lightweight render pipeline package it was a non-starter. Good to know how to directly edit if I need it again.